import { FirebaseApp } from "firebase/app";
import { FirebaseConfig } from "../interfaces/fire-common.interface";
import * as i0 from "@angular/core";
/**
 * FireCommonService defines the firebase config and initializes the firebase application.
 * If firebase application is already initialized, then it returns the initialized application.
 */
export declare class FireCommonService {
    private _firebaseConfig;
    constructor();
    get firebaseConfig(): FirebaseConfig;
    set firebaseConfig(v: FirebaseConfig);
    initOrGetFirebaseApp(): FirebaseApp;
    static ɵfac: i0.ɵɵFactoryDeclaration<FireCommonService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FireCommonService>;
}
